Package com.documentum.fc.client

# Interface IDfGetObjectOptions

public interface IDfGetObjectOptions
This interface encapsulates options to get an object from the repository.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getCachePersistently()`
  Returns the value for the CachePersistently setting.
  `String`
  `getCurrencyCheckValue()`
  Returns the value for the currencyCheckValue setting.
  `int`
  `getPartitionId()`
  Returns the partition id.
  `String`
  `getTypeName()`
  Returns type name.
  `void`
  `setCachePersistently(boolean cachePersistently)`
  Sets options for currencyCheckValue.
  `void`
  `setCurrencyCheckValue(String currencyCheckValue)`
  Sets options for currencyCheckValue.
  `void`
  `setPartition(int partitionId, String typeName)`
  Sets partition options.
  `void`
  `setTypeName(String typeName)`
  Sets the type name.

- ## Method Details

  - ### setPartition

    void setPartition(int partitionId, String typeName)
    Sets partition options.
    Parameters:
      `partitionId` - application token
      `typeName` - application token
    See Also:
      - `setPartition(int, java.lang.String)`

  - ### getPartitionId

    int getPartitionId()
    Returns the partition id.
    See Also:
      - `setPartition(int, java.lang.String)`

  - ### getTypeName

    String getTypeName()
    Returns type name.
    See Also:
      - `setPartition(int, java.lang.String)`

  - ### setTypeName

    void setTypeName(String typeName)
    Sets the type name.

  - ### setCurrencyCheckValue

    void setCurrencyCheckValue(String currencyCheckValue)
    Sets options for currencyCheckValue.
    Parameters:
      `currencyCheckValue` - application token
    See Also:
      - `setCurrencyCheckValue(java.lang.String)`

  - ### getCurrencyCheckValue

    String getCurrencyCheckValue()
    Returns the value for the currencyCheckValue setting.
    See Also:
      - `setCurrencyCheckValue(java.lang.String)`

  - ### setCachePersistently

    void setCachePersistently(boolean cachePersistently)
    Sets options for currencyCheckValue.
    Parameters:
      `cachePersistently` - application token
    See Also:
      - `setCachePersistently(boolean)`

  - ### getCachePersistently

    boolean getCachePersistently()
    Returns the value for the CachePersistently setting.
    See Also:
      - `getCachePersistently()`